=== debian/changelog ===
masterkey (0.4.6-2) unstable; urgency=low

  * Refactor XSL code a bit.

 -- Adam Dickmeiss <adam@indexdata.dk>  Fri, 09 Nov 2007 18:18:53 +0100

masterkey (0.4.6-1) unstable; urgency=low

  * Hard-coded english labels removed.
  * Management: sorting OAI tasks by name.
  * CSS tuned, consistent look between FF and IE.
  * Multilingual display stylesheets introduced.
  * CCL allowed in advanced search, brackets around facet terms.
  * Handling removal of non-empty access groups.
  * When PHP session dies the client is properly resetted.

 -- Jakub Skoczen <jakub@indexdata.dk>  Mon,  8 Oct 2007 10:50:51 +0200

masterkey (0.4.5-2) unstable; urgency=low

  * Minor changes to the staus indicator.  
  * New labels in the language file.

 -- Jakub Skoczen <jakub@indexdata.dk>  Mon,  3 Oct 2007 9:49:51 +0200

masterkey (0.4.5-1) unstable; urgency=low

  * Retrieval status indication.

 -- Jakub Skoczen <jakub@indexdata.dk>  Mon,  1 Oct 2007 17:39:51 +0200

masterkey (0.4.4-1) unstable; urgency=low

  * Recommend pazpar2-1.0.4-1.

 -- Adam Dickmeiss <adam@indexdata.dk>  Fri, 28 Sep 2007 14:29:51 +0200

masterkey (0.4.3-2) unstable; urgency=low

  * Fixed: #1622 Last target selection should not be saved for library users
  * Fixed: #1629 Refernces to the old config files location not removed from apache conf files

 -- Jakub Skoczen <jakub@indexdata.dk>  Tu, 21 Sep 2007 14:48:01 +0200

masterkey (0.4.3-1) unstable; urgency=low

  * Added browser requirements and JS disabled error info.
  * Fixed: #1459 Remove 'currently in beta testing' and update logo.
  * Fixed: #1537 Login freezes and/or searched targets are not loaded from db.
  * Fixed: #1443 MK main site throws error in FF for TerryvillePL
  * Fixed: #1456 Sorting with respect to newest items does not work
  * Fixed: #1613 Help text missing
  * Fixed: #1524 New Text for About Page
  * Fixed: #1597 Login/Logout
  * Fixed: #1598 Profile editor
  * Fixed: #1458 Profile-edit shows passwords in plain text
  * Fixed: #1583 Target selection is not maintained

 -- Jakub Skoczen <jakub@indexdata.dk>  Tu, 18 Sep 2007 15:12:01 +0200

masterkey (0.4.2-6) unstable; urgency=low

  * Tweaked various tests (-e rather than -f, -L in some places).

 -- Adam Dickmeiss <adam@indexdata.dk>  Thu, 13 Sep 2007 10:00:01 +0200

masterkey (0.4.2-5) unstable; urgency=low

  * Ensure Apache module actions is enabled in masterkey-core postinst.

 -- Adam Dickmeiss <adam@indexdata.dk>  Wed, 12 Sep 2007 21:55:24 +0200

masterkey (0.4.2-4) unstable; urgency=low

  * config files to /etc/masterkey which is owned by masterkey-core.
  * masterkey-auth depends on masterkey-core.

 -- Adam Dickmeiss <adam@indexdata.dk>  Wed, 12 Sep 2007 18:33:20 +0200

masterkey (0.4.2-3) unstable; urgency=low

  * Moved Propel runtime to masterkey-auth root.

 -- Adam Dickmeiss <adam@indexdata.dk>  Tue,  4 Sep 2007 12:25:02 +0200

masterkey (0.4.2-2) unstable; urgency=low

  * Pass requests to a .masterkey file for each GUI. 
  * MASTERKEY_GUI_CONFIG no longer in use.

 -- Adam Dickmeiss <adam@indexdata.dk>  Tue,  4 Sep 2007 09:35:57 +0200

masterkey (0.4.2-1) unstable; urgency=low

  * Introduction of MASTERKEY_PATH.
  * Proxy all Pazpar2 requests in masterkey-core.

 -- Adam Dickmeiss <adam@indexdata.dk>  Mon,  3 Sep 2007 09:54:18 +0200

masterkey (0.4.1-2) unstable; urgency=low

  * Added fields proxy_conn_string and ill_email to RDB model. The management
    interface is updated accordingly.
 
 -- Marc Cromme <marc@indexdata.dk>  Mon, 27 Aug 2007 09:37:41 +0200 

masterkey (0.4.1-1) unstable; urgency=low

  * First official release version number bump

 -- Marc Cromme <marc@indexdata.dk>  Thu, 23 Aug 2007 12:58:16 +0200

masterkey (0.3.1-7) unstable; urgency=low

  * Corrected debian package dependencies
  * Added mysql table update script

 -- Marc Cromme <marc@indexdata.dk>  Thu, 23 Aug 2007 12:15:10 +0200

masterkey (0.3.1-6) unstable; urgency=low

  * Corrected debian packages
  * Renamed masterkey-all to masterkey
  * Moved propel dummy config to masterkey-auth/conf/build.conf

 -- Marc Cromme <marc@indexdata.dk>  Wed, 22 Aug 2007 10:29:33 +0200

masterkey (0.3.1-5) unstable; urgency=low

  * Debian package masterkey-gui-example added
  * Debian package masterkey-all added

 -- Marc Cromme <marc@indexdata.dk>  Tue, 21 Aug 2007 22:33:04 +0200

masterkey (0.3.1-4) unstable; urgency=low

  * Debian package masterkey-auth functional
  * Propel builds and runtime included into package

 -- Marc Cromme <marc@indexdata.dk>  Wed, 15 Aug 2007 14:56:07 +0200

masterkey (0.3.1-3) unstable; urgency=low

  * First version of masterkey-auth added
  * Restructuring of masterkey-core and masterkey-gui-default

 -- Marc Cromme <marc@indexdata.dk>  Wed, 15 Aug 2007 14:56:07 +0200

masterkey (0.3.1-2) unstable; urgency=low

  * Adopt packages to CVS restructuring, still packaging masterkey-core
    and masterkey-gui-default only 

 -- Marc Cromme <marc@indexdata.dk>  Mon, 13 Aug 2007 14:36:18 +0200

masterkey (0.3.1-1) unstable; urgency=low

  * Initial release, packages masterkey-core and masterkey-gui-default

 -- Marc Cromme <marc@indexdata.dk>  Tue, 24 Jul 2007 10:57:11 +0200
