=== debian/control ===
Source: masterkey
Section: web
Priority: extra
Maintainer: Marc Cromme <marc@indexdata.dk>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: masterkey
Architecture: all
Depends: masterkey-core (= ${Source-Version}),
         masterkey-gui-default (= ${Source-Version}),
         masterkey-auth (= ${Source-Version}),
         pazpar2 (>= 1.0.4-1), pazpar2-apache2, mysql-server,
         libapache2-mod-php5
Suggests: masterkey-gui-example, pazpar2-doc
Description: Metasearcher core web GUI PHP, JS and XSLT components
 Masterkey is one of many possible web GUI frontends to 
 Pazpar2 (pronounced like 'passe-partout'), a high-performance
 metasearching middleware and a Z39.50 client with a webservice interface. 
 .
 Masterkey-all is a virtual package installing all masterkey, pazpar2 and
 mysql component needed to run from one single box. Masterkey can be run
 distributed on different boxes, but then it's your own responsability to
 install and configure the packages correctly.  
 

Package: masterkey-core
Architecture: all
Depends: libapache2-mod-php5 | libapache-mod-php5 | php5-cgi, 
         jquery (>= 1.1.3-3), php5-xsl
Recommends: pazpar2 (>= 1.0.4-1), pazpar2-apache2, 
Suggests: pazpar2-doc
Description: Metasearcher core web GUI PHP, JS and XSLT components
 Masterkey is one of many possible web GUI frontends to 
 Pazpar2 (pronounced like 'passe-partout'), a high-performance
 metasearching middleware and a Z39.50 client with a webservice interface. 
 .
 Masterkey-core supplies the reusable web GUI componants, and can be used
 with multiple instances/skins of customized portals, the accompagnying
 package masterkey-gui-default being one of them.  
 

Package: masterkey-gui-default
Architecture: all
Depends: masterkey-core  (= ${Source-Version})
Recommends: masterkey-auth (= ${Source-Version})
Description: Metasearcher default web GUI instance
 Masterkey is one of many possible web GUI frontends to 
 Pazpar2 (pronounced like 'passe-partout'), a high-performance
 metasearching middleware and a Z39.50 client with a webservice interface. 
 .
 Masterkey-gui-default installes the default look-and-feel instance/skin of
 the Masterkey metasearcher. The optional package masterkey-auth provides 
 authentication and target selection for masterkey-gui-default.


Package: masterkey-gui-example
Architecture: all
Depends: masterkey-core (= ${Source-Version})
Recommends: masterkey-auth (= ${Source-Version})
Description: Metasearcher default web GUI instance
 Masterkey is one of many possible web GUI frontends to 
 Pazpar2 (pronounced like 'passe-partout'), a high-performance
 metasearching middleware and a Z39.50 client with a webservice interface. 
 .
 Masterkey-gui-example installs the distribution tarball of the default 
 web gui in /user/share/masterkey-gui-example. It can be manually unpacked 
 and installed in the web server document root to be used as starting point
 for local gui development and adjustments.
 .
 Unless you want to hack the default gui, you better install
 masterkey-gui-default.


Package: masterkey-auth
Architecture: all
Depends: libapache2-mod-php5 | libapache-mod-php5 | php5-cgi, 
         php5-mysql, php5-xsl, php5-curl, php-log,
         masterkey-core (= ${Source-Version})         
Suggests: masterkey-gui-default (= ${Source-Version}), mysql-server
Description: Metasearcher authentication module
 Masterkey is one of many possible web GUI frontends to 
 Pazpar2 (pronounced like 'passe-partout'), a high-performance
 metasearching middleware and a Z39.50 client with a webservice interface. 
 .
 Masterkey-auth installes the MySQL based authentication module, including 
 the management web interface. This component allows for user and group 
 authentication as well as resource selection web services.
 .
 Installing masterkey-auth provides additional functionality for 
 masterkey-gui-default.
