## masterkey 0.4.7-1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # project and version
 PROJECT = masterkey
-VERSION = 0.4.6
+VERSION = 0.4.7
 
 # debian package names
 MKEY = masterkey
@@ -13,7 +13,7 @@
 #  make PREFIX=/some/dest/dir install
 PREFIX ?= /usr/local
 
-FILES_ROOT = Makefile LICENSE README
+FILES_ROOT = Makefile LICENSE README ChangeLog
 
 FILES_DEB = \
    debian/changelog \
@@ -249,6 +249,7 @@
             #echo "Creating subdirectory" $(DISTNAME)/$$DIR; \
             mkdir -p  $(DISTNAME)/$$DIR; \
         done
+	cvs2cl
 	@for FILE in $(FILES_DIST); do \
             #echo $$FILE "-->" $(DISTNAME)/$$FILE; \
             cp $$FILE $(DISTNAME)/$$FILE; \
