=== debian/changelog ===
masterkey (0.4.7-1) unstable; urgency=low

  * Upstream.

 -- Adam Dickmeiss <adam@indexdata.dk>  Mon, 14 Apr 2008 17:27:22 +0200
