=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
 Package: masterkey-core
 Architecture: all
 Depends: libapache2-mod-php5 | libapache-mod-php5 | php5-cgi, 
-         jquery (>= 1.1.3-3), php5-xsl
+         jquery (>= 1.1.3-3), php5-xsl, php5-curl
 Recommends: pazpar2 (>= 1.0.4-1), pazpar2-apache2, 
 Suggests: pazpar2-doc
 Description: Metasearcher core web GUI PHP, JS and XSLT components
