## masterkey 0.4.8

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # project and version
 PROJECT = masterkey
-VERSION = 0.4.7
+VERSION = 0.4.8
 
 # debian package names
 MKEY = masterkey
