=== debian/changelog ===
masterkey (0.4.8) unstable; urgency=low

  * Fixed the bug with double escaping of database entries (#1156)

 -- Jakub Skoczen <jakub@indexdata.dk>  Wed, 14 May 2008 11:12:22 +0200
