## masterkey 0.4.9

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # project and version
 PROJECT = masterkey
-VERSION = 0.4.8
+VERSION = 0.4.9
 
 # debian package names
 MKEY = masterkey
