=== debian/changelog ===
masterkey (0.4.9) unstable; urgency=low

  * pz2proxy supports POST requests (#2104 - too long URIs in the request)

 -- Jakub Skoczen <jakub@indexdata.dk>  Wed, 21 May 2008 16:35:22 +0200
