## masterkey 0.5.0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # project and version
 PROJECT = masterkey
-VERSION = 0.4.9
+VERSION = 0.5.0
 
 # debian package names
 MKEY = masterkey
