=== debian/changelog ===
masterkey (0.5.0) unstable; urgency=low

  * Admin console: support for SRU targets
  * UI: raw and EndNote export
  * UI: basket enhancements - ACE search
  * User registration component suporting CAPTCHA
  * Saveable target selections
  * Dual-language target names/descriptions

 -- Jakub Skoczen <jakub@indexdata.dk>  Fri, 9 Oct 2009 15:03:22 +0200
