=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: masterkey
 Section: web
 Priority: extra
-Maintainer: Marc Cromme <marc@indexdata.dk>
+Maintainer: Jakub Skoczen <jakub@indexdata.dk>
 Build-Depends: debhelper (>= 5)
 Standards-Version: 3.7.2
 
@@ -10,7 +10,7 @@
 Depends: masterkey-core (= ${Source-Version}),
          masterkey-gui-default (= ${Source-Version}),
          masterkey-auth (= ${Source-Version}),
-         pazpar2 (>= 1.0.4-1), pazpar2-apache2, mysql-server,
+         pazpar2 (>= 1.2.1-1), pazpar2-apache2, mysql-server,
          libapache2-mod-php5
 Suggests: masterkey-gui-example, pazpar2-doc
 Description: Metasearcher core web GUI PHP, JS and XSLT components
@@ -27,8 +27,8 @@
 Package: masterkey-core
 Architecture: all
 Depends: libapache2-mod-php5 | libapache-mod-php5 | php5-cgi, 
-         jquery (>= 1.1.3-3), php5-xsl, php5-curl
-Recommends: pazpar2 (>= 1.0.4-1), pazpar2-apache2, 
+         jquery (>= 1.1.3-3), php5-xsl, php5-curl, pazpar2-js
+Recommends: pazpar2 (>= 1.2.1-1), pazpar2-apache2, 
 Suggests: pazpar2-doc
 Description: Metasearcher core web GUI PHP, JS and XSLT components
  Masterkey is one of many possible web GUI frontends to
