## masterkey 0.5.1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # project and version
 PROJECT = masterkey
-VERSION = 0.5.0
+VERSION = 0.5.1
 
 # debian package names
 MKEY = masterkey
