=== debian/changelog ===
masterkey (0.5.1) unstable; urgency=low

  * UI: user can choose to fetch more records from the backend targets

 -- Jakub Skoczen <jakub@indexdata.dk>  Tue, 13 Oct 2009 10:59:22 +0200
