=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Depends: masterkey-core (= ${Source-Version}),
          masterkey-gui-default (= ${Source-Version}),
          masterkey-auth (= ${Source-Version}),
-         pazpar2 (>= 1.2.1-1), pazpar2-apache2, mysql-server,
+         pazpar2 (>= 1.2.2), pazpar2-apache2, mysql-server,
          libapache2-mod-php5
 Suggests: masterkey-gui-example, pazpar2-doc
 Description: Metasearcher core web GUI PHP, JS and XSLT components
@@ -28,7 +28,7 @@
 Architecture: all
 Depends: libapache2-mod-php5 | libapache-mod-php5 | php5-cgi, 
          jquery (>= 1.1.3-3), php5-xsl, php5-curl, pazpar2-js
-Recommends: pazpar2 (>= 1.2.1-1), pazpar2-apache2, 
+Recommends: pazpar2 (>= 1.2.2), pazpar2-apache2, 
 Suggests: pazpar2-doc
 Description: Metasearcher core web GUI PHP, JS and XSLT components
  Masterkey is one of many possible web GUI frontends to 
@@ -75,7 +75,7 @@
 Package: masterkey-auth
 Architecture: all
 Depends: libapache2-mod-php5 | libapache-mod-php5 | php5-cgi, 
-         php5-mysql, php5-xsl, php5-curl, php-log,
+         php5-mysql, php5-xsl, php5-curl, php-log, php5-gd
          masterkey-core (= ${Source-Version})         
 Suggests: masterkey-gui-default (= ${Source-Version}), mysql-server
 Description: Metasearcher authentication module
